Bug 1275972 - Dist-geo-rep: Support geo-replication to work with sharding
Dist-geo-rep: Support geo-replication to work with sharding
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
3.7.0
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Kotresh HR
:
Depends On: 1265148 1284453
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 05:08 EDT by Kotresh HR
Modified: 2016-03-22 04:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.7.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1265148
Environment:
Last Closed: 2016-03-22 04:15:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kotresh HR 2015-10-28 05:08:41 EDT
+++ This bug was initially created as a clone of Bug #1265148 +++

Description of problem:
This bug tracks all the changes required for geo-replication to work with
sharding.

Requirements as per design:
  1. Both master and slave should be sharded
  2. Sharding configurations should be retained same as in master

Version-Release number of selected component (if applicable):
mainline

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Geo-replication does not work with sharding

Expected results:
Geo-replication should work with sharding.

Additional info:
Comment 1 Vijay Bellur 2015-10-28 05:10:38 EDT
REVIEW: http://review.gluster.org/12438 (features/shard: Support geo-rep for sharded volume) posted (#1) for review on release-3.7 by Kotresh HR (khiremat@redhat.com)
Comment 2 Vijay Bellur 2015-10-29 04:40:05 EDT
COMMIT: http://review.gluster.org/12438 committed in release-3.7 by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 0ce29bbd6a1cc459d4f4ffc50a4658988ef52039
Author: Kotresh HR <khiremat@redhat.com>
Date:   Thu Sep 24 15:42:14 2015 +0530

    features/shard: Support geo-rep for sharded volume
    
    Approach:
          Shard xlator on slave side is by passed for all the fops
    to geo-rep mount. So each shard on master is considered as a
    separate file for geo-rep and it syncs them separately on to
    slave. The extended attribute in which shard maintains the
    size is also synced from master and shard on slave doesn't
    calculate by itself.
    
    Pre-requisites:
          1. If master is sharded volume, slave also should be sharded.
          2. Slave's shard configurations should be same as master.
          3. Geo-rep config of xattr sync should not be disabled.
    
    All other dependant patches:
          1. http://review.gluster.org/#/c/12205/
          2. http://review.gluster.org/#/c/12206/
          3. http://review.gluster.org/#/c/12225/
          4. http://review.gluster.org/#/c/12226/
    
    BUG: 1275972
    Change-Id: Ieba70e75ebaebd70851454e1b85c0fe86022ad8d
    Reviewed-on: http://review.gluster.org/12228
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Signed-off-by: Kotresh HR <khiremat@redhat.com>
    Reviewed-on: http://review.gluster.org/12438
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 3 Kotresh HR 2016-03-20 04:21:29 EDT
All other 3.7 dependent patches for geo-rep interop with sharding:

http://review.gluster.org/#/c/12732/
http://review.gluster.org/#/c/12729/
http://review.gluster.org/#/c/12721/
http://review.gluster.org/#/c/12731/

Note You need to log in before you can comment on or make changes to this bug.